
From: William Lee Irwin III <wli@holomorphy.com>

The stack is now shared with struct thread_info on most arches, not task_t. 
This mostly affects get_wchan() and stack usage debug.


---

 25-akpm/arch/ppc/kernel/process.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc/kernel/process.c~ppc32-stack-bounds-checking arch/ppc/kernel/process.c
--- 25/arch/ppc/kernel/process.c~ppc32-stack-bounds-checking	2004-04-17 01:11:53.667968144 -0700
+++ 25-akpm/arch/ppc/kernel/process.c	2004-04-17 01:11:53.670967688 -0700
@@ -83,7 +83,7 @@ kernel_stack_top(struct task_struct *tsk
 unsigned long
 task_top(struct task_struct *tsk)
 {
-	return ((unsigned long)tsk) + sizeof(struct task_struct);
+	return ((unsigned long)tsk) + sizeof(struct thread_info);
 }
 
 /* check to make sure the kernel stack is healthy */

_
